## ros-noetic-network-interface 3.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(network_interface)

add_definitions(-std=c++11 -Wall -Wextra)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pthread")

## Find catkin macros and libraries
find_package(
  catkin REQUIRED
  COMPONENTS
  message_generation
  roslint
  std_msgs
)

## Generate messages in the 'msg' folder
add_message_files(
  FILES
  TCPFrame.msg
  UDPFrame.msg
)

## Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
  std_msgs  # Or other packages containing msgs
)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS message_runtime std_msgs
)

###########
## Build ##
###########

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

add_library(
  ${PROJECT_NAME}
  src/tcp_interface.cpp
  src/udp_interface.cpp
  src/udp_server.cpp
  src/utils.cpp
)

target_link_libraries(
  ${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

##########
## TEST ##
##########

roslint_cpp()

if(CATKIN_ENABLE_TESTING)
  roslint_add_test()
  catkin_add_gtest(${PROJECT_NAME}_tests test/network_interface_test.cpp)
  target_link_libraries(${PROJECT_NAME}_tests ${catkin_LIBRARIES})
endif()

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-noetic-network-interface (3.1.0-1focal) focal; urgency=high

  * Fix CMakeLists.txt include install (#40 <https://github.com/astuff/network_interface/issues/40>)
  * UDP Server: Don't send reply if zero length (#38 <https://github.com/astuff/network_interface/issues/38>)
  * Add stop function for terminating (#36 <https://github.com/astuff/network_interface/issues/36>)
  * UDP Server Class (#35 <https://github.com/astuff/network_interface/issues/35>)
  * Fix UDP read function, use buffer of fixed size and shrink down after receiving packet (#33 <https://github.com/astuff/network_interface/issues/33>)
  * Contributors: icolwell-as

 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Fri, 21 May 2021 04:00:00 -0000

ros-noetic-network-interface (3.0.0-1focal) focal; urgency=high

  * Add noetic CI builds (#31 <https://github.com/astuff/network_interface/issues/31>)
  * Disable docker layer caching (#30 <https://github.com/astuff/network_interface/issues/30>)
  * Merge pull request #26 <https://github.com/astuff/network_interface/issues/26> from astuff/fix/memory_allocation
    Fix memory initialization of buffer vector.
  * Apply same buffer allocation fix to UDP interface.
  * Fix memory initialization of buffer vector.
  * Adding copyright to utils.cpp.
  * Moving definition of return_status_desc to fix linking bug.
  * Merge pull request #25 <https://github.com/astuff/network_interface/issues/25> from astuff/maint/cpp_11_cleanup
    Maint/cpp 11 cleanup
  * Had to add offset to parse_tuple.
  * Moving parse_tuple from ibeo_core.
  * Allowing read functions to take multiple containers.
  * Commenting code.
  * New implementation of write_le and write_be. Tests for both.
  * Changing valueOffset to float and casting in util functions.
  * Replacing unsigned int with uint32_t.
  * Used wrong type-trait qualifier.
  * CI: Adding Melodic armhf build.
  * CI: Machine executors require sudo.
  * CI: Add first run at armhf build.
  * Changing to reinterpret_cast instead of non-portable solution.
  * Removing async calls from TCP. Allocating buffers with reserve.
  * Removing apparently useless check in write_le.
  * Consistent braced initializers.
  * -DBUILD_ROS is no longer a thing.
  * Reserving requested space in read_exactly.
  * Making ByteOrder enum scoped too.
  * Switching back to memcpy.
  * Moving common enums into common.h.
  * Scoped enum for return statuses.
  * Using vectors and type traits.
  * CI: Making roslint run in run_tests.
  * Merge pull request #20 <https://github.com/astuff/network_interface/issues/20> from astuff/maint/ci_add_lint
    Maint/ci add lint
  * CI: Adding catkin_test_results the right way.
  * CI: Adding catkin_test_results.
  * Making lint cover all files and adding copyright.
  * CI: Need --no-deps for lint.
  * CI: Oops.
  * CI: Adding roslint to build tests.
  * Removing unused gitlabci file.
  * CI: Removing Indigo build.
  * Merge pull request #19 <https://github.com/astuff/network_interface/issues/19> from astuff/maint/add_urls
    Adding website URL to package.xml.
  * Adding website URL to package.xml.
  * Merge pull request #18 <https://github.com/astuff/network_interface/issues/18> from astuff/maint/ci_new_docker_images
    CI: Using AS Docker images.
  * CI: Using AS Docker images.
  * Contributors: Ian Colwell, Joshua Whitley, Rinda Gunjala, Sam Rustan, Zach Oakes

 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Wed, 03 Mar 2021 05:00:00 -0000

ros-noetic-network-interface (2.1.0-1focal) focal; urgency=high

  * Merge pull request #13 <https://github.com/astuff/network_interface/issues/13> from astuff/maint/remove_unused_variables_in_test
  * Minor linting stuff.
  * Implementing proper dependencies for rosunit.
  * Removing unused variables in gtests.
  * Merge pull request #10 <https://github.com/astuff/network_interface/issues/10> from astuff/maint/roslint
  * Removing temporary .orig files.
  * Fixing roslint suggestions.
  * Adding roslint.
  * Merge pull request #8 <https://github.com/astuff/network_interface/issues/8> from astuff/fix/strict_aliasing
  * endianess check now returns bool
  * removes copying input into system endianess check
  * Adds check for system endianess
    This allows moving the source address start further into
    the stored uint64_t to properly grab the least significant
    bytes for putting into smaller containers.
  * changes comment on readbeint test case
  * removes unused include from debugging
  * Fixes read_be and read_le to remove aliasing issue
    Also adds .vscode to gitignore for VS Code users.
  * Merge pull request #6 <https://github.com/astuff/network_interface/issues/6> from astuff/unit_testing
  * Adds unit tests for some methods. Corrects found issues
    Unit tests found issues with misinterpreting floats and doubles
    Modified methods and now this commit Fixes #1 <https://github.com/astuff/network_interface/issues/1>
  * Merge pull request #3 <https://github.com/astuff/network_interface/issues/3> from KyleARectorAStuff/feature/tcp_read_timeout
  * Adding no-timeout option when the timeout_ms argument is 0
    Before this commit, a timeout was used in every call TCPInterface::read or
    TCPInterface::read_exactly, with a default of 0 ms. After this commit,
    the default is set to 0 ms, and if the read or read_exactly methods receive
    a 0 timeout request, it will not set a deadline for the timeout, resulting
    in a blocking read. This allows for the TCPInterface to behave with a
    timeout, or else be used as it was previously.
  * Removing timeout/received flags, adding error checking in timeout handler
    Before this commit, the result of a read or timeout was stored in a private variable,
    populated by the respective callback. After this commit, the conditional statements that
    proviously relied on the flags instead rely on the gloabl error message's value.


=== debian/control ===
Source: ros-noetic-network-interface
Section: misc
Priority: optional
Maintainer: AutonomouStuff Software Development Team <software@autonomoustuff.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-message-generation, ros-noetic-roslint, ros-noetic-rosunit, ros-noetic-std-msgs
Homepage: http://wiki.ros.org/network_interface
Standards-Version: 3.9.2

Package: ros-noetic-network-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-message-runtime, ros-noetic-std-msgs
Description: Network interfaces and messages.
